package com.goldenwater.slgc.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.RelDikeAd1;
import com.goldenwater.slgc.mapper.RelDikeAd1Mapper;
import com.goldenwater.slgc.service.RelDikeAd1Service;

/** 堤防行政信息关联 业务实现 */
@Service
public class RelDikeAd1ServiceImpl implements RelDikeAd1Service {
    @Autowired
    private RelDikeAd1Mapper relDikeAd1Mapper;

    @Override
    public List<RelDikeAd1> selectRelDikeAd1List(RelDikeAd1 relDikeAd1) {
        return relDikeAd1Mapper.selectRelDikeAd1List(relDikeAd1);
    }

    @Override
    public RelDikeAd1 selectRelDikeAd1ById(RelDikeAd1 relDikeAd1) {
        return relDikeAd1Mapper.selectRelDikeAd1ById(relDikeAd1);
    }

    @Override
    public int deleteRelDikeAd1ById(RelDikeAd1 relDikeAd1) {
        return relDikeAd1Mapper.deleteRelDikeAd1ById(relDikeAd1);
    }

    @Override
    public int insertRelDikeAd1(RelDikeAd1 relDikeAd1) {
        return relDikeAd1Mapper.insertRelDikeAd1(relDikeAd1);
    }

    @Override
    public int updateRelDikeAd1(RelDikeAd1 relDikeAd1) {
        return relDikeAd1Mapper.updateRelDikeAd1(relDikeAd1);
    }
}
